# This file is part of dxtb.
#
# SPDX-Identifier: Apache-2.0
# Copyright (C) 2024 Grimme Group
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
"""
Labels: Methods
===============
"""

__all__ = [
    "GFN0_XTB",
    "GFN0_XTB_STRS",
    "GFN1_XTB",
    "GFN1_XTB_STRS",
    "GFN2_XTB",
    "GFN2_XTB_STRS",
    "GFN_XTB_MAP",
]

# xtb
GFN0_XTB = 0
"""Integer code for GFN0-xTB."""

GFN0_XTB_STRS = ("gfn0", "gfn0-xtb", "gfn0_xtb", "gfn0xtb")
"""String codes for GFN0-xTB."""

GFN1_XTB = 1
"""Integer code for GFN1-xTB."""

GFN1_XTB_STRS = ("gfn1", "gfn1-xtb", "gfn1_xtb", "gfn1xtb")
"""String codes for GFN1-xTB."""

GFN2_XTB = 2
"""Integer code for GFN2-xTB."""

GFN2_XTB_STRS = ("gfn2", "gfn2-xtb", "gfn2_xtb", "gfn2xtb")
"""String codes for GFN2-xTB."""

GFN_XTB_MAP = ["GFN0-xTB", "GFN1-xTB", "GFN2-xTB"]
"""Map of GFN-xTB methods."""
